name: project_telephony
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.16.0 <3.0.0"

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.2
  telephony:
    git:
      url: https://git.oa00.com/wylyl22/telephony.git

#  获取通话记录
  call_log: ^4.0.0
  permission_handler:
    git:
      url: https://git.oa00.com/austin_dai/permission_handler.git
#  后台设置
  flutter_background_service:
    git:
      url: https://git.oa00.com/austin_dai/flutter_background_service.git
  flutter_background_service_android:
    git:
      url: https://git.oa00.com/austin_dai/flutter_background_service_android.git
  device_info_plus: any
#  屏幕适配
  flutter_screenutil: ^5.5.3+2
#  路由相关
  get: ^4.6.5
#  包的信息
  package_info: ^2.0.0
#  本地化存储
  hive: ^2.0.4
  hive_flutter: ^1.1.0
#  弹出框
  bot_toast: ^4.0.3
#  汉转音
  lpinyin: ^2.0.3
#各种扩展
  velocity_x: ^3.0.0
# 相机
  image_picker: ^0.8.5
#微信登录及支付
  fluwx: ^3.8.3
  #支付宝支付
  tobias: ^2.4.0+2
#  工具
  flustars: ^2.0.1
#  model生成
  json_annotation: ^4.6.0
  permission_handler_platform_interface:
    git:
      url: https://git.oa00.com/austin_dai/permission_handler_platform_interface.git
  provider: ^6.0.3
  equatable: any
  #日志输出
  power_logger: ^1.2.2
#  短信
  get_phone_number: ^2.0.1
#  存取数据
  shared_preferences: ^2.0.15
#刷新组件
  flutter_easyrefresh: ^2.2.1
# 链接
  url_launcher: ^6.1.5
#tabBar样式切换
  tab_indicator_styler: ^2.0.0

# # jdk
#   jverify: ^2.2.5
##   pub 集成
#  jpush_flutter: 2.1.4

dev_dependencies:
  flutter_test:
    sdk: flutter


  # test: ^1.21.4
  #导入包整理
  import_sorter: ^4.5.1
  hive_generator: ^1.1.0

  #model自动生成
  json_serializable: ^6.1.3
  build_runner: ^2.0.2
  yaml: ^3.1.0
  pub_semver: ^2.1.0
  flutter_gen_runner: ^4.3.0
  flutter_lints: ^2.0.0
#  patgh: ^1.8.1
#  脚本工具
  grinder: ^0.9.1
  flutter_native_splash: ^1.1.8+4


flutter:
  uses-material-design: true
  generate: true
  fonts:
     - family: BlackItalic
       fonts:
       - asset: asset/fonts/Barlow-BlackItalic.ttf
     - family: SemiBold
       fonts:
       - asset: asset/fonts/Barlow-SemiBold.ttf
  assets:
    - assets/
    - assets/icons/
    - assets/images/
#   - assets/data/

